### Function

# Gio content_type_get_description

#### Declaration

    gchar*
    g_content_type_get_description (
      const gchar* type
    )

#### Description

Gets the human readable description of the content type.

#### Parameters

`type`

  Type: `const gchar*`

  A content type string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

A short description of the content type `type`. Free the returned string with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.